Subject: bug#27770: closed (Re: [PATCH] gnu: vim: Update to 8.0.0727 [fixes CVE-2017-11109].)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 Jul 2017 19:27:01 +0000

Your bug report

#27770: [PATCH] gnu: vim: Update to 8.0.0727 [fixes CVE-2017-11109].

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27770: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27770
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: vim: Update to 8.0.0727 [fixes CVE-2017-11109].
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Fri, 21 Jul 2017 15:25:44 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jul 20, 2017 at 01:44:36AM -0400, Leo Famulari wrote:
> vim-full fails its tests with this update. I've noticed from previous
> discussion that the test suite is flaky with vim-full. What do you
> suggest?

In 3c14378381fc1f187a07b2f958eeed1958f02672, I updated vim and kept
vim-full at 8.0.0600.

This means that vim-full is still vulnerable to CVE-2017-11109.

I'll remove the vim-full package in 1 week (July 28) unless we have a
fix for this bug.

Subject: [PATCH] gnu: vim: Update to 8.0.0727 [fixes CVE-2017-11109].
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Thu, 20 Jul 2017 01:44:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

vim-full fails its tests with this update. I've noticed from previous
discussion that the test suite is flaky with vim-full. What do you
suggest?

------
Test results:

>From test_alot.vim:
Found errors in Test_input_in_timer():
function RunTheTest[24]..Test_input_in_timer line 4: Expected 'hello' but got ''
Found errors in Test_map_ctrl_c_insert():
function RunTheTest[24]..Test_map_ctrl_c_insert line 7: Expected 'TEST2: CTRL-C |<ctrl-c>A|' but got 'GoTEST2: CTRL-C |<ctrl-c>A|'
TEST FAILURE
------

* gnu/packages/vim.scm (vim, vim-full): Update to 8.0.0727.
---
 gnu/packages/vim.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index 27c0b0da9..39894f39c 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -60,7 +60,7 @@
 (define-public vim
   (package
     (name "vim")
-    (version "8.0.0600")
+    (version "8.0.0727")
     (source (origin
              (method url-fetch)
              (uri (string-append "https://github.com/vim/vim/archive/v"
@@ -68,7 +68,7 @@
              (file-name (string-append name "-" version ".tar.gz"))
              (sha256
               (base32
-               "1ifaj0lfzqn06snkcd83l58m9r6lg7lk3wspx71k5ycvypyfi67s"))))
+               "0hwqglpsk8qlp2rn6q9p35fxk88xixljk1yv42m3j01g3bgqg0gx"))))
     (build-system gnu-build-system)
     (arguments
      `(#:test-target "test"
-- 
2.13.3